#
# spec file for package gap-smallsemi
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-smallsemi
Version:        0.6.11
Release:        lp150.1.2
Summary:        GAP data library of semigroups of small size
License:        GPL-3.0+
Group:          Productivity/Scientific/Math
Url:            http://www-groups.mcs.st-and.ac.uk/~jamesm/smallsemi/

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/smallsemi-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.7
Requires:       gzip
Suggests:       gap-gapdoc >= 1.3

%description
The "Smallsemi" package is a data library of semigroups of small
size. It provides all semigroups with at most 8 elements as well as
various information about these objects. The reason that semigroups
of higher orders are not included is the huge number of such objects.
(The number of semigroups of size 10 is not even known at the time of
writing.)

%prep
%setup -qn smallsemi-%version

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream release 0.6.11
  * a minor release for compatibility with gap-semigroups 3.0.0,
    and to fix an incorrect method for
    `IsomorphismTransformationSemigroup`.
* Sat Mar 12 2016 jengelh@inai.de
- Update to new upstream release 0.6.10
  * replaced NilpotencyRank by NilpotencyDegree
  * introduced functionality to obtain nilpotent semigroups of
  coclass 0, 1, and 2 as f.p. semigroups
* Fri Feb  7 2014 jengelh@inai.de
- Update to new upstream release 0.6.7
  * a minor release fixing some bugs in the references in the
  documentation, and moving some declarations of properties and
  associated true methods to the GAP library to avoid clashes
  with the forthcoming Semigroups package.
* Fri May 10 2013 jengelh@inai.de
- Split smallsemi (version 0.6.6) off the gap RPM package
